Signed-off-by: Yogesh Siraswar <[email protected]>
---
 build-oesdk.sh             | 3 +++
 lib/oesdk/update_secdev.sh | 7 +++++++
 2 files changed, 10 insertions(+)
 create mode 100755 lib/oesdk/update_secdev.sh

diff --git a/build-oesdk.sh b/build-oesdk.sh
index 038a7ab..3d32fb2 100755
--- a/build-oesdk.sh
+++ b/build-oesdk.sh
@@ -14,6 +14,9 @@ source ./lib/oesdk/machine-specific-functions
 source ./lib/oesdk/package-sdks
 source ./lib/oesdk/generate-report
 
+# Update secdev package
+./lib/oesdk/update_secdev.sh
+
 # This variable holds the architectures that are being built based
 # on the machines.
 ARCHS=""
diff --git a/lib/oesdk/update_secdev.sh b/lib/oesdk/update_secdev.sh
new file mode 100755
index 0000000..1f0a409
--- /dev/null
+++ b/lib/oesdk/update_secdev.sh
@@ -0,0 +1,7 @@
+#!/bin/bash
+
+cd $TI_SECURE_DEV_PKG_K3
+git pull origin master
+if [ $? != 0 ]; then
+        echo "Updating the secdev failed"
+fi
-- 
2.17.1



-=-=-=-=-=-=-=-=-=-=-=-
Links: You receive all messages sent to this group.
View/Reply Online (#13424): 
https://lists.yoctoproject.org/g/meta-arago/message/13424
Mute This Topic: https://lists.yoctoproject.org/mt/87584705/21656
Group Owner: [email protected]
Unsubscribe: https://lists.yoctoproject.org/g/meta-arago/unsub 
[[email protected]]
-=-=-=-=-=-=-=-=-=-=-=-


Reply via email to